| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.StfVhr Class Reference

Class for containing Swath variable header. More...

List of all members.

## Public Member Functions
| StfVhr ()
| Constructor.
| StfVhr (final String stfNam, final String refOSF, final String refSDF, final long swathTyp, final long swathPointTyp, final double timStep, final long refrMode, final double freq, final long numP, final Vector< Double > alt, final boolean geomFlag, final long repCycl, final long cyclLength, final double meanlstDrift, final long absOrb, final long orbit0, final long orbit1, double[] pos, double[] vel)
| Constructor with parameters.
## Public Attributes
String | stfName
| Swath template file name.
String | ReferenceOSF
| Reference Orbit Scenario file.
String | ReferenceSDF
| Reference swath definition file.
long | swathType
| Swath type (SwathRecEnum: open/close).
long | swathPointType
| Swath point type (SwathPointTypeEnum: geodetic/inertial).
double | timeStep
long | refractionMode
| Refraction model (TargetRayEnum).
double | frequency
| Frequency (Hz).
long | numPoints
| Number of points in the instantaneous swath.
Vector< Double > | altitude
| List of altitudes.
boolean | geometryFlag
| true if the geometry of the orbit is defined.
long | repCycle
long | cycleLength
double | mlstDrift
long | absOrbit
long | orbitStart
| Start orbit of validity range.
long | orbitStop
| Stop orbit of validity range.
double[] | position
double[] | velocity

## Detailed Description

Class for containing Swath variable header.

## Constructor & Destructor Documentation

EECFI.StfVhr.StfVhr | ( |  | ) |

Constructor.

EECFI.StfVhr.StfVhr | ( | final String | stfNam,
|  | final String | refOSF,
|  | final String | refSDF,
|  | final long | swathTyp,
|  | final long | swathPointTyp,
|  | final double | timStep,
|  | final long | refrMode,
|  | final double | freq,
|  | final long | numP,
|  | final Vector< Double > | alt,
|  | final boolean | geomFlag,
|  | final long | repCycl,
|  | final long | cyclLength,
|  | final double | meanlstDrift,
|  | final long | absOrb,
|  | final long | orbit0,
|  | final long | orbit1,
|  | double[] | pos,
|  | double[] | vel |
| ) |  |  |

Constructor with parameters.

## Member Data Documentation

long EECFI.StfVhr.absOrbit

Vector<Double> EECFI.StfVhr.altitude

List of altitudes.

long EECFI.StfVhr.cycleLength

double EECFI.StfVhr.frequency

Frequency (Hz).

boolean EECFI.StfVhr.geometryFlag

true if the geometry of the orbit is defined.

false if the OSV.

double EECFI.StfVhr.mlstDrift

long EECFI.StfVhr.numPoints

Number of points in the instantaneous swath.

long EECFI.StfVhr.orbitStart

Start orbit of validity range.

long EECFI.StfVhr.orbitStop

Stop orbit of validity range.

double [] EECFI.StfVhr.position

String EECFI.StfVhr.ReferenceOSF

Reference Orbit Scenario file.

String EECFI.StfVhr.ReferenceSDF

Reference swath definition file.

long EECFI.StfVhr.refractionMode

Refraction model (TargetRayEnum).

long EECFI.StfVhr.repCycle

String EECFI.StfVhr.stfName

Swath template file name.

long EECFI.StfVhr.swathPointType

Swath point type (SwathPointTypeEnum: geodetic/inertial).

long EECFI.StfVhr.swathType

Swath type (SwathRecEnum: open/close).

double EECFI.StfVhr.timeStep

double [] EECFI.StfVhr.velocity